=== debian/changelog ===
libfm-qt (1.1.0-2~mx21+2) mx; urgency=medium

  * Rebuild for MX Linux.
  * libfm-qt-common: Add a Breaks: for libfm-qt8.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 02 Sep 2022 11:44:22 -0700

libfm-qt (1.1.0-2~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 30 Aug 2022 17:19:05 -0700

libfm-qt (1.1.0-2) experimental; urgency=medium

  * Upstreamed compatible changes from Ubuntu, modifying the following files:
    - control
    - copyright
    - libfm-qt11.symbols
    - libfm-qt-common.install
    - libfm-qt-dev.install
    - rules
    - upstream/*
    - patches directory

 -- Aaron Rainbolt <arraybolt3@gmail.com>  Thu, 14 Jul 2022 15:45:41 -0500

libfm-qt (1.1.0-1) experimental; urgency=medium

  * debian/changelog: fix a typo.
  * New upstream version 1.0.0
  * Add debian/salsa-ci.yml file.
  * Update debian/upstream/signing-key.asc.
  * New upstream version 1.1.0
  * debian/control: build-deps on lxqt-build-tools (>=0.11.0~).
  * Bump to libfm-qt11 to match soname changes.
  * debian/libfm-qt11.shlibs: Added, restrict to latest upstream version.
  * Drop C++ symbols according to
    https://wiki.debian.org/UsingSymbolsFiles.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 12 Jul 2022 22:33:35 +0800
