=== debian/changelog ===
libfm-qt (1.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.2.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 04 Jan 2023 23:51:37 +0800

libfm-qt (1.2.0-5) unstable; urgency=medium

  * Update shlibs file to prevent using broken version.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 10 Dec 2022 13:36:35 +0800

libfm-qt (1.2.0-4) unstable; urgency=medium

  * Merge to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 02 Dec 2022 11:19:50 +0800

libfm-qt (1.2.0-3) experimental; urgency=medium

  * Fix wrong Depends.
  * Sort d/copyright.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 30 Nov 2022 08:47:36 +0800

libfm-qt (1.2.0-2) experimental; urgency=medium

  * Change package name for new soversion (Closes: #1024687).

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 26 Nov 2022 23:56:57 +0800

libfm-qt (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove unnecessary --fail-missing.
  * Remove unnecessary patches.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Tue, 22 Nov 2022 23:52:31 +0800

libfm-qt (1.1.0-3) unstable; urgency=medium

  * Team upload
  * Bump libfm-qt8 to libfm-qt11
    - Restored Breaks+Replaces: libfm-qt8 (Closes: #1016514)
  * debian/control:
    - Bump Standards-Version to 4.6.1
    - Bump debhelper to 13
    - debian/control: Add Rules-Requires-Root: no
  * debian/rules: Remove "-Wl,--as-needed" in linker options
  * debian/patches:
    - Fix crash with empty URI scheme of folder path
    - Support adding of pattern lists to entries of search dialog
  * debian/*.symbols, debian/libfm-qt11.shlibs: Remove all symbols files and
    use shlibs file to declare linking dependencies
  * debian/upstream/metadata: Change Repository-Browser field to
    Repository-Browse

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sat, 08 Oct 2022 18:01:29 +0800
