=== debian/changelog ===
libfm-qt (1.4.0-0ubuntu7) noble; urgency=medium

  * No-change rebuild against Qt 5.15.13.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 04 Apr 2024 00:25:44 +0300

libfm-qt (1.4.0-0ubuntu6) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:56:21 +0000

libfm-qt (1.4.0-0ubuntu5) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:34:42 +0000

libfm-qt (1.4.0-0ubuntu4) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 22:59:15 +0000

libfm-qt (1.4.0-0ubuntu3) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:21:02 +0000

libfm-qt (1.4.0-0ubuntu2) noble; urgency=medium

  * No-change rebuild against Qt 5.15.12.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 29 Dec 2023 00:07:46 +0300

libfm-qt (1.4.0-0ubuntu1) noble; urgency=medium

  * New upstream release.
  * Reorganized and fixed copyright file.
  * Added lxqt-menu-data as a build dependency.
  * Bumped soname to libfm-qt14.
  * Updated symbols file.

 -- Aaron Rainbolt <arraybolt3@gmail.com>  Sun, 05 Nov 2023 17:15:40 -0600

libfm-qt (1.3.0-0ubuntu2) mantic; urgency=medium

  * Update symbols from build logs.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 11 Aug 2023 10:16:27 -0500

libfm-qt (1.3.0-0ubuntu1) mantic; urgency=medium

  * New upstream release.
    - Bump build dependency accordingly.
  * Rename binary package for SONAME change, update symbols accordingly.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 26 Jul 2023 16:25:53 -0500

libfm-qt (1.2.1-0ubuntu1) lunar; urgency=medium

  * New upstream release.
  * Updated copyright file.
  * Bumped Standards-Version to 4.6.2, no changes necessary.
  * Updated symbols file.
  * Ran wrap-and-sort.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 26 Jan 2023 20:18:59 -0600

libfm-qt (1.2.0-0ubuntu3) lunar; urgency=medium

  * No-change rebuild against Qt 5.15.8.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 14 Jan 2023 10:19:25 +0300

libfm-qt (1.2.0-0ubuntu2) lunar; urgency=medium

  * No-change rebuild against Qt 5.15.7.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 10 Dec 2022 12:50:58 +0300

libfm-qt (1.2.0-0ubuntu1) lunar; urgency=medium

  * New upstream release.
  * Fix the watch file, for real this time.
  * Lubuntuify the package slightly, to make debhelper happy.
  * Remove reverse-applicable upstream patches.
  * Bump build dependencies to the latest upstream LXQt versions.
  * Rename libfm-qt11 -> libfm-qt12 and add necessary Breaks/Replaces.
  * Update symbols from amd64 build logs.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 16 Nov 2022 19:21:46 -0600

libfm-qt (1.1.0-3ubuntu1) kinetic; urgency=medium

  * Revert the previous upload.
  * Make Breaks/Replaces stricter for libfm-qt11 on libfm-qt-common due to the
    nature of the reverted upload.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 10 Oct 2022 11:06:03 -0500

libfm-qt (1.1.0-2ubuntu1) kinetic; urgency=medium

  * Update debian/libfm-qt11.symbols for GCC 12.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 13 Aug 2022 21:37:11 +0300
