## libfm-qt 2.0.2

=== debian/changelog ===
libfm-qt (2.0.2-0ubuntu2) oracular; urgency=medium

  * Fix symbols file.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Sun, 25 Aug 2024 22:22:47 -0500

libfm-qt (2.0.2-0ubuntu1) oracular; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.0, no changes necessary.
  * Update copyright file.
  * Bump build deps.
  * Change binary package name to libfm-qt6.
  * Update symbols file.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 15 Aug 2024 16:06:46 -0500
