=== debian/control ===
Source: libfm-qt
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           Shih-Yuan Lee (FourDollars) <fourdollars@gmail.com>,
           Simon Quigley <tsimonq2@debian.org>,
           Aaron Rainbolt <arraybolt3@gmail.com>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libexif-dev,
               libkf6windowsystem-dev,
               libmenu-cache-dev,
               libx11-dev,
               lxqt-build-tools (>= 2.0.0),
               lxqt-menu-data (>= 2.0.0),
               qt6-base-private-dev,
               qt6-svg-dev,
Standards-Version: 4.7.0
Vcs-Browser: https://git.lubuntu.me/Lubuntu/libfm-qt-packaging
Vcs-Git: https://git.lubuntu.me/Lubuntu/libfm-qt-packaging.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/libfm-qt
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/libfm-qt.git
Homepage: https://github.com/lxqt/libfm-qt
Rules-Requires-Root: no

Package: libfm-qt6-14
Replaces: libfm-qt14, libfm-qt13, libfm-qt12, libfm-qt11, libfm-qt9
Breaks: libfm-qt14, libfm-qt13, libfm-qt12, libfm-qt11, libfm-qt9
Architecture: any
Multi-Arch: same
Section: libs
Depends: libfm-qt6-common,
         libglib2.0-bin,
         shared-mime-info,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libfm-qt6-l10n
Pre-Depends: ${misc:Pre-Depends}
Description: file management support for pcmanfm-qt
 Libfm-Qt is a companion library providing components to build desktop file
 managers.
 .
 This package contains helper library libfm-qt for pcmanfm-qt.

Package: libfm-qt6-common
Architecture: all
Multi-Arch: foreign
Section: libs
Depends: ${misc:Depends}
Breaks: libfm-qt14, libfm-qt13, libfm-qt12, libfm-qt11 (<< 1.1.0-3ubuntu1), libfm-qt9
Replaces: libfm-qt14, libfm-qt13, libfm-qt12, libfm-qt11 (<< 1.1.0-3ubuntu1), libfm-qt9
Description: Common files for libfm-qt
 Libfm-Qt is a companion library providing components to build desktop file
 managers.
 .
 This package contains common files for libfm-qt.

Package: libfm-qt6-dev
Architecture: any
Section: libdevel
Depends: libexif-dev,
         libfm-qt6-14 (= ${binary:Version}),
         libmenu-cache-dev,
         ${misc:Depends}
Description: file management support library for pcmanfm-qt (development files)
 Libfm-Qt is a companion library providing components to build desktop file
 managers.
 .
 This package contains development files for helper library libfm-qt.

Package: libfm-qt6-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qt6-translations-l10n, ${misc:Depends}
Description: Language package for libfm-qt
 Libfm-Qt is a companion library providing components to build desktop file
 managers.
 .
 This package contains the l10n files needed by the libfm-qt.
