=== src/translations/CMakeLists.txt ===
project(libfm-qt)

build_component("." "${CMAKE_INSTALL_FULL_DATADIR}/libfm-qt6/translations")
