=== debian/changelog ===
libfm-qt (2.1.0-1) unstable; urgency=medium

  * debian/control: update.
  * Run wrap-and-sort.
  * Upload to unstable.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 04 Dec 2024 18:16:58 +0100

libfm-qt (2.1.0-1~exp1) experimental; urgency=medium

  * New upstream version 2.1.0.
  * debian/control: build-deps on lxqt-build-tools (>= 2.1.0~).
  * debian/control: build-deps on lxqt-menu-data (>= 2.1.0~).
  * debian/control: rename binary package name to match the soname bump.
  * debian/libfm-qt6-15.install: rename to match soname bump.
  * debian/libfm-qt6-15.shlibs: rename to match soname bump.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Mon, 02 Dec 2024 22:24:34 +0100

libfm-qt (2.0.2-1) unstable; urgency=medium

  * Upload to unstable.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 27 Nov 2024 18:33:33 +0100

libfm-qt (2.0.2-1~exp2) experimental; urgency=medium

  * debian/control: build-deps on qt6-base-private-dev (>= 6.7.2).
  * debian/salsa-ci.yml: build against to experimental.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 05 Oct 2024 17:13:35 +0200

libfm-qt (2.0.2-1~exp1) experimental; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * New upstream version 2.0.2.

  [ Andrew Lee (李健秋) ]
  * debian/control: build-deps on libkf6windowsystem-dev,
  * debian/control: build-deps on qt6-base-private-dev.
  * debian/control: build-deps on qt6-tools-dev.
  * debian/control: build-deps on lxqt-build-tools (>=
    2.0.0+really2.0.0~).
  * debian/control: build-deps on lxqt-menu-data (>= 2.0.0~).
  * debian/control: rename to libfm-qt6-14 to match soname.
  * debian/libfm-qt6-14.install: update.
  * debian/control: depends on libfm-qt6-14.
  * debian/libfm-qt6-14.shlibs: update.
  * debian/libfm-qt-l10n.install: update.
  * debian/libfm-qt-dev.install: update.
  * debian/control: depends on qt6-translations-l10n.
  * Clean up of group membership after 2nd calls.
  * debian/salsa-ci.yml: build against experimental.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Mon, 16 Sep 2024 16:02:11 +0200

libfm-qt (1.4.0-3) unstable; urgency=medium

  * debian/control: Remove extra commas.
  * debian/control: build-deps on qttools5-dev. (Closes:#1078284)
  * debian/copyright: added myself.
  * debian/control: bump to Standards-version to 4.7.0, no changes needed.

 -- Macy Lin <macy@debconf.org>  Sun, 08 Sep 2024 03:38:38 +0800

libfm-qt (1.4.0-2) unstable; urgency=medium

  * Merge to unstable.
  * d/copyright: Update copyright year.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 09 May 2024 21:57:14 +0800

libfm-qt (1.4.0-1) experimental; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * Fix blhc error
  * New upstream version 1.4.0

  [ Andrew Lee (李健秋) ]
  * Bump libfm-qt13 to libfm-qt14.
  * debian/control: drop replaces and breaks that not exist in previous
    stable release.
  * debian/upstream/metadata: drop obsolete field Name.
  * debian/control: build-deps and depends on lxqt-menu-data.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Mon, 11 Dec 2023 17:08:00 +0100

libfm-qt (1.3.0-2) unstable; urgency=medium

  [ Andrew Lee (李健秋) ]
  * debian/upstream/metadata: correct the git Repository url as itʼs
    different from Repository-Browse.
  * debian/copyright: update.
  * debian/control: clean up stuff older than oldoldstable.

  [ ChangZhuo Chen (陳昌倬) ]
  * Merge to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 27 Jul 2023 09:02:03 +0800

libfm-qt (1.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump libfm-qt11 to libfm-qt12.
  * Change team email to <team+lxqt@tracker.debian.org>.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Tue, 13 Jun 2023 21:01:37 +0800
